---
sidebar_position: 12
description: Download folder and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Download folder
 Downloads a zip archive with the contents of the specified directory



`Function DownloadFolder(Val Token, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Path or ID of the directory |

  
  Returns:  BinaryData - binary data of the zip archive with the contents of the directory



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";
    Path  = "/New";

    Result = OPI_Dropbox.DownloadFolder(Token, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox DownloadFolder \
             --token "***" \
             --path "/New"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox DownloadFolder ^
             --token "***" ^
             --path "/New"
        ```
    </TabItem>
</Tabs>


```json title="Result"
NOT JSON: 50 4B 03 04 14 00 00 08 00 00 F4 96 8A 5B 00 00 00 00 00 00 00 00 00 00 00 00 04 00 09 00 4E 65 77 2F 55 54 05 00 01 2C C2 39 69 50 4B 03 04 14 00 08 08 00 00 4F 87 AF 58 00 00 00 00 00 00 00…
```
